<?php

namespace QUI\ERP\Payments\Stripe;

use Stripe\PaymentIntent;

interface OrderProcessingServiceInterface
{
    /**
     * Processes a Stripe PaymentIntent for this order.
     *
     * This may set the order to SUCESSFUL or FAILED, depending on the status.
     * This also creates transactions for successful orders.
     *
     * @param PaymentIntent $paymentIntent
     * @return void
     */
    public function processPaymentIntent(PaymentIntent $paymentIntent): void;
}
